UPDATE-EXIM4.CONF.TEMPLATE(8)

NAME
update-exim4.conf.template - Regenerate exim4 configuration file template.

SYNOPSIS
update-exim4.conf.template [-h|--help] [-n|--nobackup] [-o|--output file] [-r|--run]

OPTIONS

-h|--help
    Show short help message and exit

-n|--nobackup
    Overwrite existing file, instead of keeping it as /etc/exim4/exim4.conf.template.bak.random-number

-o|--output file
    Write output to file instead of /etc/exim4/exim4.conf.template.

-r|--run
    Actually do something. If this option is not specified update-exim4.conf.template will exit immediately. This option was introduced because update-exim4.conf.template overwrites configuration files.

DESCRIPTION
The script update-exim4.conf.template regenerates the main configuration file template /etc/exim4/exim4.conf.template from the configuration snippets in the /etc/exim4/conf.d directory tree.

This process will overwrite all local changes in /etc/exim4/exim4.conf.template and might be useful if there are local changes in the /etc/exim4/conf.d directory tree, for example by a new mail related package dropping its own configuration snippets in there. update-exim4.conf.template ignores all files in the conf.d directory that have a filename which does not consist only of letters, numbers, underscores and hyphens ([:alnum:]_-), similar to run-parts(8). For easy interaction with packages extending Exim additionally /etc/exim4/conf.d/foo/bar.rul is used instead of /etc/exim4/conf.d/foo/bar if it exists!

ENVIRONMENT
If CONFDIR is set update-exim4.conf.template will search for the input files below $CONFDIR/conf.d instead of /etc/exim4/conf.d/ and will write the output to $CONFDIR/exim4.conf.template instead of to /etc/exim4/exim4.conf.template (unless overridden with -o or --output).

BUGS
This manual page needs a major re-work. If somebody knows better groff than us and has more experience in writing manual pages, any patches would be greatly appreciated.

SEE ALSO
exim4(8), /usr/share/doc/exim4-base/ and for general notes and details about interaction with debconf /usr/share/doc/exim4-base/README.Debian.gz

AUTHOR
Marc Haber <mh+debian-packages@zugschlus.de>